linux-lts-backport-natty: 2.6.38-10.46~lucid1 -proposed tracker

Bug #806586 reported by Andy Whitcroft on 2011-07-06
34
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Canonical Hardware Certification
Prepare-package
Undecided
Andy Whitcroft
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
Kees Cook
Verification-testing
Undecided
Canonical Kernel Team
linux-lts-backport-natty (Ubuntu)
Medium
Unassigned
Lucid
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.38-10.46~lucid1 upload package. This bug will contain status and testing results releated to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow

kernel-stable-Prepare-package-start: Tuesday, 06. July 2011 17:47 UTC
kernel-stable-Promote-to-updates-end: Tuesday, 19. July 2011 21:40 UTC

Andy Whitcroft (apw) on 2011-07-06
tags: added: kernel-release-tracking-bug
Changed in linux-lts-backport-natty (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
Changed in kernel-sru-workflow:
status: New → In Progress
Andy Whitcroft (apw) on 2011-07-06
summary: - linux-lts-backport-natty: 2.6.38-10.44~lucid1 -proposed tracker
+ linux-lts-backport-natty: 2.6.38-10.46~lucid1 -proposed tracker
Andy Whitcroft (apw) on 2011-07-06
description: updated
Steve Conklin (sconklin) wrote :

The archs which failed to build are not supported and can be ignored. The question of why they tried to build is being investigated.

Kees Cook (kees) wrote :

Since this is the first time the package will be in the Lucid archive, I am not counting it as a "security update". It should only go to the -updates pocket this time. Future uploads that include CVE fixes should go to -security normally, though.

Changed in linux-lts-backport-natty (Ubuntu):
status: In Progress → Invalid
C de-Avillez (hggdh2) wrote :

On a AMD64 server install kernel-test-security reported 8 different failures. Bug 810807 has been opened. Although I am not yet tagging qa-testing-failed (all other archs/environments still to be tested), looking at the above bug now may gain us some time.

Kees Cook (kees) on 2011-07-15
Changed in linux-lts-backport-natty (Ubuntu):
status: Invalid → In Progress
C de-Avillez (hggdh2) wrote :

OK. There was only one failure, dealing with the DEBUG_RODATA on Xen i386; per sconklin this is expected and already targeted to next build, so tagging qa-testing-passed.

tags: added: qa-testing-passed

No certification testing is done on backports.

tags: added: natty
tags: removed: natty
tags: added: lucid
Martin Pitt (pitti) on 2011-07-19
Changed in linux-lts-backport-natty (Ubuntu):
status: In Progress → Invalid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-lts-backport-natty - 2.6.38-10.46~lucid1

---------------
linux-lts-backport-natty (2.6.38-10.46~lucid1) lucid-proposed; urgency=low

  [Andy Whitcroft]

  * Release Tracking Bug
    - LP: #806586

  [ Upstream Kernel Changes ]

  * Revert "put stricter guards on queue dead checks"
  * Revert "fix oops in scsi_run_queue()"
 -- Steve Conklin <email address hidden> Tue, 28 Jun 2011 12:36:29 +0100

Changed in linux-lts-backport-natty (Ubuntu Lucid):
status: New → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
Brad Figg (brad-figg) on 2011-12-05
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers